QGIS Application - Bug report #21468
Fiona can't be imported into python37, DLL error
2019-03-04 11:37 AM - Andreas Mueller

Status: Closed

Priority: Normal

Assignee:

Category: Python bindings / sipify

Affected QGIS version:3.4.5 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 29285
Description

| installed fiona along with qgis3 and python3 via osgeo4w-setup.exe but it throws an exeption:

C:\OSGeo4W=>python3
Python 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:06:47) [MSC v.1914 32 bit (Inte
)] on win32
Type "help", "copyright”, "credits” or "license" for more information.
>>> import fiona
Traceback (most recent call last):
File "&lt;stdin&gt;", line 1, in &lt;module&gt;
File "C:\OSGeo4W\apps\Python37\lib\site-packages\fiona\__init__.py", line 87,
in &lt;module&gt;
from fiona.collection import BytesCollection, Collection
File "C:\OSGeo4W\apps\Python37\lib\site-packages\fiona\collection.py", line 9,
in &lt;module&gt;
from fiona.ogrext import Iterator, ltemslterator, Keyslterator
ImportError: DLL load failed: Das angegebene Modul wurde nicht gefunden.

This is often reported as a version conflict with gdal.

History

#1 - 2019-03-04 11:59 AM - Jiirgen Fischer
- Resolution set to invalid

- Status changed from Open to Closed

Not a QGIS issue.
